# Contributing to _Antelope_

First and foremost, **thank you**! Contributing to _Antelope_ is
great!  There are a few guidelines, however...

## Contribution Process

1. Fork the repository ([medcat/antelope])
2. Create a new branch for your feature (something like `my-feature`)
3. Make your changes
4. Commit your changes
5. if(notDone) goto 3;
6. Push your changes
7. Make a pull request

Creating a new branch is a _really, really_ good idea; it keeps things
neat in the world of git.  When you make the pull request, any commits
you make to the merging branch are added to the pull request.  Also,
_please_ make sure you describe the pull request, and what it does,
and why it's needed.

## Commit Message Style

I have to admit, I'm absolutely terrible at commits.  But, in case of
a commit, commit messages should be imperative - it's what the commit
_does_, not what it _will do_ or what it _has done_; for example,
"Create Generator for C Output".  Messages should have a subject, and
optionally a body; the subject should have no more than 50 characters,
and should be concise, as well as in Title Case.  If you can't fit
information in the subject, put it in the body.

## Issues

When opening issues, there are a few requirements:

- Describe the problem
- Show how to reproduce it, if applicable
- Explain what you think is causing it, if applicable
- Give a plausible solution, if applicable

Give (us|me) as much information as needed so (we|I) can decide how to
handle the issue.

## Closing Words

And, most of all, the last requirement: have fun!



[medcat/antelope]: https://github.com/medcat/antelope
